| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeIdV1 Class Reference

Class TypeIdV1. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for TypeIdV1:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | TypeIdV1 ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | TypeIdV1 (const TypeIdV1 &type)
| Copy constructor.
FASTDDS_EXPORTED_API | TypeIdV1 (const xtypes::TypeIdentifier &identifier)
| Constructor using a TypeIndentifier.
FASTDDS_EXPORTED_API | TypeIdV1 (TypeIdV1 &&type)
| Move constructor.
FASTDDS_EXPORTED_API TypeIdV1 & | operator= (const TypeIdV1 &type)
FASTDDS_EXPORTED_API TypeIdV1 & | operator= (TypeIdV1 &&type)
virtual FASTDDS_EXPORTED_API | ~TypeIdV1 () override=default
| Destructor.
void | clear () override
| Clears the QosPolicy object.
FASTDDS_EXPORTED_API TypeIdV1 & | operator= (const xtypes::TypeIdentifier &type_id)
FASTDDS_EXPORTED_API const xtypes::TypeIdentifier & | get () const
| Getter for the TypeIndentifier.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

xtypes::TypeIdentifier | m_type_identifier
| Type Identifier.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Class TypeIdV1.

## Constructor & Destructor Documentation

## ◆ TypeIdV1() [1/4]

FASTDDS_EXPORTED_API TypeIdV1 | ( |  | ) |

inline

Constructor without parameters.

## ◆ TypeIdV1() [2/4]

FASTDDS_EXPORTED_API TypeIdV1 | ( | const TypeIdV1 & | type | ) |

inline

Copy constructor.

Parameters

  type | Another instance of TypeIdV1

## ◆ TypeIdV1() [3/4]

FASTDDS_EXPORTED_API TypeIdV1 | ( | const xtypes::TypeIdentifier & | identifier | ) |

inline

Constructor using a TypeIndentifier.

Parameters

  identifier | TypeIdentifier to be set

## ◆ TypeIdV1() [4/4]

FASTDDS_EXPORTED_API TypeIdV1 | ( | TypeIdV1 && | type | ) |

inline

Move constructor.

Parameters

  type | Another instance of TypeIdV1

## ◆ ~TypeIdV1()

virtual FASTDDS_EXPORTED_API ~TypeIdV1 | ( |  | ) |

override virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ get()

FASTDDS_EXPORTED_API const xtypes::TypeIdentifier & get | ( |  | ) | const

inline

Getter for the TypeIndentifier.

Returns
  TypeIdentifier reference

## ◆ operator=() [1/3]

FASTDDS_EXPORTED_API TypeIdV1 & operator= | ( | const TypeIdV1 & | type | ) |

inline

## ◆ operator=() [2/3]

FASTDDS_EXPORTED_API TypeIdV1 & operator= | ( | const xtypes::TypeIdentifier & | type_id | ) |

inline

## ◆ operator=() [3/3]

FASTDDS_EXPORTED_API TypeIdV1 & operator= | ( | TypeIdV1 && | type | ) |

inline

## Member Data Documentation

## ◆ m_type_identifier

xtypes::TypeIdentifier m_type_identifier

Type Identifier.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp